net.minecraft.client.gui

## Class GuiRepair

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.inventory.GuiContainer
      - - net.minecraft.client.gui.GuiRepair

- All Implemented Interfaces:
    ICrafting

      public class GuiRepair
      extends GuiContainer
      implements ICrafting

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.inventory.GuiContainer

      `field_147001_a, field_147007_t, field_147008_s, guiLeft, guiTop, inventorySlots, xSize, ySize`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, buttonList, fontRendererObj, height, itemRender, labelList, mc, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiRepair(InventoryPlayer par1InventoryPlayer, World par2World, int par3, int par4, int par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `drawGuiContainerBackgroundLayer(float p_146976_1_, int p_146976_2_, int p_146976_3_)`
    `protected void` | `drawGuiContainerForegroundLayer(int p_146979_1_, int p_146979_2_)`
    `void` | `drawScreen(int par1, int par2, float par3)`
    `void` | `initGui()`
    `protected void` | `keyTyped(char par1, int par2)`
    `protected void` | `mouseClicked(int par1, int par2, int par3)`
    `void` | `onGuiClosed()`
    `void` | `sendContainerAndContentsToPlayer(Container par1Container, java.util.List par2List)`
    `void` | `sendProgressBarUpdate(Container par1Container, int par2, int par3)`
    `void` | `sendSlotContents(Container par1Container, int par2, ItemStack par3ItemStack)`

    - ### Methods inherited from class net.minecraft.client.gui.inventory.GuiContainer

      `checkHotbarKeys, doesGuiPauseGame, func_146978_c, handleMouseClick, mouseClickMove, mouseMovedOrUp, updateScreen`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `actionPerformed, confirmClicked, drawBackground, drawCreativeTabHoveringText, drawDefaultBackground, drawHoveringText, drawWorldBackground, func_146283_a, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, renderToolTip, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiRepair

          public GuiRepair(InventoryPlayer par1InventoryPlayer,
                   World par2World,
                   int par3,
                   int par4,
                   int par5)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Overrides:
        `initGui` in class `GuiContainer`

    - #### onGuiClosed

          public void onGuiClosed()

      Overrides:
        `onGuiClosed` in class `GuiContainer`

    - #### drawGuiContainerForegroundLayer

          protected void drawGuiContainerForegroundLayer(int p_146979_1_,
                                             int p_146979_2_)

      Overrides:
        `drawGuiContainerForegroundLayer` in class `GuiContainer`

    - #### keyTyped

          protected void keyTyped(char par1,
                      int par2)

      Overrides:
        `keyTyped` in class `GuiContainer`

    - #### mouseClicked

          protected void mouseClicked(int par1,
                          int par2,
                          int par3)

      Overrides:
        `mouseClicked` in class `GuiContainer`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Overrides:
        `drawScreen` in class `GuiContainer`

    - #### drawGuiContainerBackgroundLayer

          protected void drawGuiContainerBackgroundLayer(float p_146976_1_,
                                             int p_146976_2_,
                                             int p_146976_3_)

      Specified by:
        `drawGuiContainerBackgroundLayer` in class `GuiContainer`

    - #### sendContainerAndContentsToPlayer

          public void sendContainerAndContentsToPlayer(Container par1Container,
                                              java.util.List par2List)

      Specified by:
        `sendContainerAndContentsToPlayer` in interface `ICrafting`

    - #### sendSlotContents

          public void sendSlotContents(Container par1Container,
                              int par2,
                              ItemStack par3ItemStack)

      Specified by:
        `sendSlotContents` in interface `ICrafting`

    - #### sendProgressBarUpdate

          public void sendProgressBarUpdate(Container par1Container,
                                   int par2,
                                   int par3)

      Specified by:
        `sendProgressBarUpdate` in interface `ICrafting`